SDL Library Documentation
Prev |  | Next

# SDL_ShowCursor

## Name

SDL_ShowCursor -- Toggle whether or not the cursor is shown on the screen.

## Synopsis

    #include "SDL.h"

``int SDL_ShowCursor`(int toggle);`

## Description

Toggle whether or not the cursor is shown on the screen. Passing `SDL_ENABLE` displays the cursor and passing `SDL_DISABLE` hides it. The current state of the mouse cursor can be queried by passing `SDL_QUERY`, either `SDL_DISABLE` or `SDL_ENABLE` will be returned.

The cursor starts off displayed, but can be turned off.

## Return Value

Returns the current state of the cursor.

## See Also

`SDL_CreateCursor`, `SDL_SetCursor`

Prev | Home | Next
SDL_GetCursor | Up | SDL_GL_LoadLibrary